Description

3772 colab has support to get detailed answers to MCQs. This ticket is to convert non-MCQ questions to MCQs.

As you know, inputFile contains values of keys such as "prefix-question”, "prompt-5" etc. Add another key
"answer-choice-creation-prompt-prefix-5". Suppose <accpp5-value> is the value, and <content> is the text below the "#$Exercise:"
line in standard.txt.

Before processing a non-MCQ question, please do the following:

1. make the call to openai with prompt as "<accpp5-value> <content>". [As always, add support for True and False values for
call_real_api.]

2. The response will be of the format "Choices are #$a. <choice 1> #3$b. <choice 2> #$c <choice 3> #$d <choice 4>. #$#$correct
choice: <correct-choice as in one of a, b, c or d>".

3. Convert the non-MCQ question as an MCQ with the above information.

4. Continue processing; however, do not add the above conversation to future conversation.

History

#1 - 02/11/2025 07:39 AM - Ram Kordale
- Assignee set to Shubham Boke

- Estimated time set to 0.65 h

#2 - 02/12/2025 05:51 AM - Shubham Boke
- Status changed from New to In Progress

- % Done changed from 0 to 70

#3 - 02/12/2025 06:31 AM - Ram Kordale

- Description updated

#4 - 02/13/2025 07:07 AM - Shubham Boke
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#5 - 02/13/2025 07:07 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#6 - 02/18/2025 08:50 AM - Dewakar Chaubey
- Status changed from Review to Feedback

- Assignee changed from Dewakar Chaubey to Shubham Boke
